dots.v2.genAi.knowledge_bases.byKnowledge_base_uuId().data_sources.post()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.genAi.knowledge_bases.byKnowledge_base_uuId(knowledge_base_uuId).data_sources.post(body: ApiCreateKnowledgeBaseDataSourceInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiCreateKnowledgeBaseDataSourceOutput>Description
To add a data source to a knowledge base, send a POST request to /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources.
Parameters
Path Parameters
knowledge_base_uuIdstring requiredExample:
"123e4567-e89b-12d3-a456-426614174000"Knowledge base id
Request Body
awsDataSourceobject optionalAWS S3 Data Source
Show child properties
bucketNamestring optionalExample:
example nameSpaces bucket name
itemPathstring optionalExample:
example stringkeyIdstring optionalExample:
123e4567-e89b-12d3-a456-426614174000The AWS Key ID
regionstring optionalExample:
example stringRegion of bucket
secretKeystring optionalExample:
example stringThe AWS Secret Key
chunkingAlgorithmstring optionalchunkingOptionsobject optionalShow child properties
childChunkSizeinteger optionalExample:
350maxChunkSizeinteger optionalExample:
750Common options
parentChunkSizeinteger optionalExample:
1000Hierarchical options
semanticThresholdnumber optionalExample:
0.5Semantic options
knowledgeBaseUuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Knowledge base id
spacesDataSourceobject optionalSpaces Bucket Data Source
Show child properties
bucketNamestring optionalExample:
example nameSpaces bucket name
itemPathstring optionalExample:
example stringregionstring optionalExample:
example stringRegion of bucket
webCrawlerDataSourceobject optionalWebCrawlerDataSource
Show child properties
baseUrlstring optionalExample:
example stringThe base url to crawl.
crawlingOptionstring optionalOptions for specifying how URLs found on pages should be handled.
- UNKNOWN: Default unknown value
- SCOPED: Only include the base URL.
- PATH: Crawl the base URL and linked pages within the URL path.
- DOMAIN: Crawl the base URL and linked pages within the same domain.
- SUBDOMAINS: Crawl the base URL and linked pages for any subdomain.
- SITEMAP: Crawl URLs discovered in the sitemap.embedMediaboolean optionalExample:
trueWhether to ingest and index media (images, etc.) on web pages.
excludeTagsarray of strings optionalExample:
["example string"]Declaring which tags to exclude in web pages while webcrawling
Request Sample
Response Example
More Information
See /v2/gen-ai/knowledge_bases/{knowledge_base_uuid}/data_sources in the API reference for additional detail on responses, headers, parameters, and more.